Skip to main content

It’s very important that you regularly download and install updates for web plugins and other vulnerable software too – such as Adobe products and Java.

Vulnerabilities in Adobe Flash, for example, are some of the most popularly-targeted by hackers for exploitation. Automatic updates are available for these products, but ideally uninstall Adobe Flash to limit this risk. 

For detailed information on updates for plugins and other software visit your vendor’s website, or select from some of the popular plugin vendors below: